Upstream information

CVE-2018-20506 at MITRE

Description

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries in a "merge" operation that occurs after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use cases). This is a different vulnerability than CVE-2018-20346.

SUSE information

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.1 7
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Local
Access Complexity High High
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
SUSE Bugzilla entries: 1131560 [RESOLVED / FIXED], 1131576 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2019-913
SUSE CaaS Platform 3.0
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-CAASP-3.0-2019-913
SUSE CaaS Platform ALL
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-CAASP-ALL-2019-913
SUSE Enterprise Storage 4
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-Storage-4-2019-913
SUSE Linux Enterprise Desktop 12 SP3
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-913
SUSE Linux Enterprise Desktop 12 SP4
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-913
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-913
SUSE Linux Enterprise Server 12 SP1-LTSS
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-913
SUSE Linux Enterprise Server 12 SP2-BCL
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-913
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-913
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-913
SUSE Linux Enterprise Server 12 SP3
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-913
SUSE Linux Enterprise Server 12 SP4
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-913
SUSE Linux Enterprise Server 12-LTSS
  • libsqlite3-0 >= 3.8.3.1-2.7.1
  • libsqlite3-0-32bit >= 3.8.3.1-2.7.1
  • sqlite3 >= 3.8.3.1-2.7.1
Patchnames:
SUSE-SLE-SERVER-12-2019-973
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-913
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-913
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-913
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-913
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-913
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-913
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-913
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-913
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libsqlite3-0 >= 3.8.3.1-2.7.1
  • libsqlite3-0-32bit >= 3.8.3.1-2.7.1
  • sqlite3 >= 3.8.3.1-2.7.1
Patchnames:
SUSE-SLE-SERVER-12-2019-973
SUSE Linux Enterprise Software Development Kit 12 SP3
  • sqlite3 >= 3.8.10.2-9.3.1
  • sqlite3-devel >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-913
SUSE Linux Enterprise Software Development Kit 12 SP4
  • sqlite3 >= 3.8.10.2-9.3.1
  • sqlite3-devel >= 3.8.10.2-9.3.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-913
SUSE OpenStack Cloud 7
  • libsqlite3-0 >= 3.8.10.2-9.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-9.3.1
  • sqlite3 >= 3.8.10.2-9.3.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-913
openSUSE Leap 42.3
  • libsqlite3-0 >= 3.8.10.2-11.3.1
  • libsqlite3-0-32bit >= 3.8.10.2-11.3.1
  • libsqlite3-0-debuginfo >= 3.8.10.2-11.3.1
  • libsqlite3-0-debuginfo-32bit >= 3.8.10.2-11.3.1
  • sqlite3 >= 3.8.10.2-11.3.1
  • sqlite3-debuginfo >= 3.8.10.2-11.3.1
  • sqlite3-debugsource >= 3.8.10.2-11.3.1
  • sqlite3-devel >= 3.8.10.2-11.3.1
  • sqlite3-doc >= 3.8.10.2-11.3.1
Patchnames:
openSUSE-2019-1222